List verified smart contracts with optional filtering options
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"abi": [
{}
],
"additional_sources": [
{
"file_path": "<string>",
"source_code": "<string>"
}
],
"address": {
"ens_domain_name": "<string>",
"hash": "<string>",
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_contract": true,
"is_scam": true,
"is_verified": true,
"metadata": {
"tags": [
{
"meta": {},
"name": "<string>",
"ordinal": 123,
"slug": "<string>",
"tagType": "<string>"
}
]
},
"name": "<string>",
"private_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"public_tags": [
{
"address_hash": "<string>",
"display_name": "<string>",
"label": "<string>"
}
],
"watchlist_names": [
{
"display_name": "<string>",
"label": "<string>"
}
]
},
"can_be_visualized_via_sol2uml": true,
"certified": true,
"coin_balance": "<string>",
"compiler_settings": {},
"compiler_version": "<string>",
"conflicting_implementations": [
{}
],
"constructor_args": "<string>",
"creation_bytecode": "<string>",
"creation_status": "<string>",
"decoded_constructor_args": [
[
{}
]
],
"deployed_bytecode": "<string>",
"evm_version": "<string>",
"external_libraries": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"file_path": "<string>",
"github_repository_metadata": {},
"has_constructor_args": true,
"implementations": [
{
"address_hash": "<string>",
"name": "<string>"
}
],
"is_blueprint": true,
"is_changed_bytecode": true,
"is_fully_verified": true,
"is_partially_verified": true,
"is_verified": true,
"is_verified_via_eth_bytecode_db": true,
"is_verified_via_sourcify": true,
"is_verified_via_verifier_alliance": true,
"language": "<string>",
"license_type": "<string>",
"market_cap": "<string>",
"name": "<string>",
"optimization_enabled": true,
"optimization_runs": 123,
"package_name": "<string>",
"proxy_type": "<string>",
"reputation": "<string>",
"source_code": "<string>",
"sourcify_repo_url": "<string>",
"transactions_count": 123,
"verification_metadata": {},
"verified_at": "2023-11-07T05:31:56Z",
"verified_twin_address_hash": "<string>"
}
],
"next_page_params": {
"smart_contract_id": 1947801
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}smart-contracts
List verified smart contracts with optional filtering options
Retrieves a paginated list of verified smart contracts with optional filtering by proxy status or programming language.
GET
/
{chain_id}
/
api
/
v2
/
smart-contracts
/
List verified smart contracts with optional filtering options
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
The ID of the blockchain
Query Parameters
Sort results by:
- balance - Sort by account balance
- transactions_count - Sort by number of transactions
Should be used together with
orderparameter.
Available options:
balance, transactions_count Sort order:
- asc - Ascending order
- desc - Descending order
Should be used together with
sortparameter.
Available options:
asc, desc Search query filter
Filter to apply
Available options:
solidity, vyper, yul, geas, stylus_rust Number of items per page
Required range:
x >= 1Smart-contract ID for paging
Coin balance for paging
Address hash for paging
Pattern:
^0x([A-Fa-f0-9]{40})$Transactions count for paging
Was this page helpful?
Number of Shibarium withdrawals.
Previous
Get count statistics (new & newly verified) for deployed smart contracts
Next
⌘I